###############################################################################
# config file for the supernode
###############################################################################

#################
# PadRMI protocol
#################

# GUID (global unique identifier)
# generated automatically if not set here
padrmi.guid=testbed

# IPv4 address of interface to bind socket to
padrmi.bind.address=__IP__

# port to listen on
padrmi.bind.port=4000

# maximum backlog length (defaults to 50 if not set)
# (if more unprocessed incoming connections are pending,
# further connections will be rejected)
padrmi.bind.backlog=500

# outside location (may be different when using NAT)
# deactivate when not used
#padrmi.address=
#padrmi.port=

# path with publicly available files (classes and data files)
# list of path names, separated by ";" on Windows and ":" on all other systems
# padrmi.path=
# not set here, only needed for PUB-Web consumer and worker nodes

# print protocol debug output
padrmi.debug=true

###################
# PUB-Web supernode
###################

# expiration time (in minutes) of peer data
pubweb.time.expiration=10

# time interval (in minutes) when to clear expired peer data
pubweb.time.clean=1

# enable / disable debug output
pubweb.debug=true

# user database
pubweb.userdb=configs/pubweb-passwd.conf

# scheduling algorithm
#pubweb.sched=pubweb.supernode.sched.simple.SimpleScheduler
pubweb.sched=pubweb.supernode.sched.dhht.DHHTScheduler
#pubweb.sched=pubweb.supernode.sched.mimic.LoadBalancingScheduler
#pubweb.sched=pubweb.supernode.sched.mcs.MultiConstraintScheduler

# SybilGuard settings
pubweb.sybilguard.active=false
